Bug 152714 - Cannot install yum 2.x for Red Hat 8.0
Cannot install yum 2.x for Red Hat 8.0
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2004-05-09 12:55 EDT by Burnell G ("Burnie") West
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:24:57 EST
This appears to be mainly a documentation problem.

Step 1 tells how to upgrade RPM, and includes a list of 7 RPM's for the purpose.
The sixth item on the list, python-1.5.2-43.72.i386.rpm does not exist in the
redhat/8.0/updates directory (it is in 7.2/updates, where it appears to belong).

Attempting to upgrade with all seven fails; subsequently attempting to upgrade
with six of the seven seemed to work (issued a string of hashes, then completed
with a key warning) but then step 2.1 aborted with a Failed Dependency -
"Requires RPM 4.1.1".

------- Additional Comments From bgwest@mindspring.com 2004-05-11 02:57:10 ----

I received the following by email.  I share Brian's
expertise level:

I just saw your bug on bugzilla for YUM.  And I had
the same problem this evening.

I decided to set up YUM from:


It's YUM version 1, but it works.  If you remove the
python install from Step 1, you can install YUM 2
without any dependency problems.  But the software
will not update correctly.  

I think there are other problems, so I will be using
version 1 until they are resolved.  I don't know
enough about programming to find out how to fix them.


------- Additional Comments From bgwest@mindspring.com 2004-05-31 05:37:01 ----

See also BUG 1599 - "BLOCKER"

------- Additional Comments From jkeating@j2solutions.net 2004-06-16 18:37:29 ----

or not, it just failed for 9.  The ldconfig I ran for the 73 chroot must still
be in effect.

------- Additional Comments From rostetter@mail.utexas.edu 2004-09-07 16:43:07 ----

The docs were updated long ago to remove the bogus python reference.
Please refile any remaining issues.  Note however that RH 8.0 developement
is officially on hold.

------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-18 17:23:27 ----

I'm closing this.

------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:24 -------

This bug previously known as bug 1583 at https://bugzilla.fedora.us/
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Note You need to log in before you can comment on or make changes to this bug.